Subject: Re: bug#23426: 25.0.93; dired-do-find-regexp doesn't find newline

From: Dmitry Gutov <[email-masked]>
Date: Tue, 3 May 2016 23:59:08 +0300

On 05/03/2016 10:00 PM, Glenn Morris wrote:

>> You can't search for an empty line following a letter 'A' this way, though.
>
> No, but that's not what the OP's example was.
> (The "A" is the keybinding that triggers the search, not part of the search.)

Oh. So your example is a direct equivalent. Thanks.

> There is "grep -z" for multi-line searches, BTW, but it's a bit clunky.

I looked at 'grep -zo', but it doesn't seem suitable for our purpose: 
there's no way to make it output the correct line number. So we'd have 
to load each file in Emacs fully and search it them through ourselves a 
second time.

> Also "pcregrep".

It looks like a better choice, but it's not installed on most systems 
AFAICT (it wasn't on mine), and xref doesn't really know what to do with 
multiline matches anyway yet (?).